<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100063";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<div align="center">
    <form id="neo" name="neo" method="post" action="50-ProcesaDivisionPallet.php">
      <table width="662" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td height="30" colspan="4" align="left"><span class="Clase_TipoLetraTitulos">&nbsp;&nbsp;|| DIVISIÓN DE PALLETS ||</span></td>
      </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonSe_Form; ?>"><span class="Estilo8">.</span></td>
        </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>">.</td>
        </tr>
        <tr>
          <td width="68" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Bodega:</div></td>
        <td width="257" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><span class="Clase_TipoLetra">
          <input name="txt_CveBodega" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveBodCR1; ?>" size="1"/><input name="txt_NomBodega" type="text" disabled="disabled" class="textoINPUT" id="txt_NomBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $NomBodCR2; ?>" size="22" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="..." onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        <td width="59" bgcolor="<?PHP echo $FonCi_Form; ?>"><span class="Clase_TipoLetra">&nbsp;&nbsp;Cuenta:</span></td>
        <td width="260" bgcolor="<?PHP echo $FonCi_Form; ?>"><span class="Clase_TipoLetra">
          <input name="txt_CveCuen" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveCuen" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveCueCR1; ?>" size="1"/><input name="txt_NomCuenta" type="text" disabled="disabled" class="textoINPUT" id="txt_NomCuenta" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $CtaSesionEn; ?>" size="22" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...4" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; /></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra"></div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"></div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>">          <div align="center">
            <label for="select" ></label>
            <span class="Clase_TipoLetra" al>&nbsp;  &nbsp;&nbsp;  &nbsp;&nbsp;  &nbsp;&nbsp;Filtro</span> 
            <select name="Filtro" id="Filtro" class="textoINPUT" >
            <option value="Selecciona" selected="selected">Selecciona...</option>
             <option value="SKU">SKU </option>
            <option value="SKU_ALT">SKU alt</option>
            <option value="NO_DOCUMENTO">No. Documento</option>
            <option value="NO_DOC_COMPLE">Complemento</option>
            <option value="DESCRIPCION">Descripción</option>
            <option value="FECHA_ENTRADA">Fecha Entrada</option>
            <option value="CANTIDAD">Cantidad</option>
            <option value="LOTE">Lote</option>
            <option value="LOTEWMS">Lote Wms</option>
            <option value="LOTEPRODU">Lote Producto</option>
            <option value="CADUCIDAD">Caducidad</option>
            <option value="FACTURA">Factura</option>
            <option value="PROVEEDOR">Proveedor</option>
            <option value="UBICACION">Ubicación</option>
            <option value="NO_PALLET">Pallet</option>
            <option value="EDO_CALIDAD">Edo. Calidad</option>
            <option value="FECHA">Fecha BD</option>
            <option value="USUARIO_ALTA">Usuario</option>
          </select>
            <input name="txt_Filtro" type="text" class="textoINPUT" id="txt_Filtro"  value="" />
          </div></td>
        </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
          <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
          <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
          <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="3" />
          <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
          <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" /></td>
        </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonSe_Form; ?>">.</td>
        </tr>
        <tr>
          <td colspan="4" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center"><input type="submit" name="button" class="button" id="button" value="Aplicar" style="height:25px; width:80px"/>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Regresar" onClick=" window.location.href='<?PHP echo"Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' "></div></td>
        </tr>
        <tr>
          <td height="20" colspan="4" bgcolor="<?PHP echo $FonTi_Form; ?>" align="right">.</td>
        </tr>
      </table>
  </form>
</div>

<Br><Br>
<div align="center">
  <?PHP
  
  
  ////ARRASTRANDO LOS VALORES///////
		$FiltroPG=$_POST['Filtro'] or $FiltroPG=$_GET['Filtro'];
		$txt_filtroPG=$_POST['txt_Filtro'] or $txt_filtroPG=$_GET['txt_Filtro'];
		$BorraBuf=$_POST['EliBuf'] or $BorraBuf=$_GET['EliBuf'];
		
		///////////Elimina el Buffer de traspaso por usuario y cuenta cada vez que se ingresa al modulo/////////////////////
		///////////Elimina el Registro de Pallet en Movimiento por usuario y cuenta cada vez que se ingresa al modulo///////		
		if ($BorraBuf=="SI")
		{				
		$sqlCDC= "DELETE FROM temporal_division WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn'";
		$resultadoCDC=mysql_query($sqlCDC,$conexion) or die(mysql_error());
		
		$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='DIVISIÓN PALLET'";
		$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
		}
		

		//////Muestra Clientes Registrados
		
			$Cve_Reporte = "CREP201506100042";
			/////////Identificar configuracion: Paginación x Reporte
			$sqlC2 = mysql_query("select * from wms_configura_paginacionesxreporte where CVE_REPORTE='$Cve_Reporte'");
			if (mysql_numrows($sqlC2)==0) echo "";
			else{
			$registroC2=mysql_fetch_array($sqlC2);
			}
			if (mysql_numrows($sqlC2)>0)
			{
			$LomitC2=$registroC2["LIMITE_REGISTROS_SQL"];
			}
		
			///Identificar Paginación
				$DetPagSel=$_POST['Checked'] or $DetPagSel=$_GET['Checked'];
		
				if ($DetPagSel=="NO")
					{
						require_once("Paginaciones/PHPPaging_10000Reg.lib.php");
						$ValChecked ="SI";						
					}
					else
					{
						require_once("Paginaciones/PHPPaging_50Reg.lib.php");
						$VisEstInput = "checked='checked'"; 
						$ValChecked ="NO";
					}
					
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:65%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='3' colspan='2' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;Pallets Disponibles</td>");
		echo("<td height='3' colspan='7' style='color:White;font-family:Verdana' align='right'>Límite $LomitC2 | Paginación&nbsp;"); ?> <input type="checkbox" <?PHP echo $VisEstInput; ?> onClick=" window.location.href='<?PHP echo"50-ProcesaDivisionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$ValChecked&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG";?>' "> <?PHP echo("&nbsp;</td>");
	       echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveBodega</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveCuenta</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Pallet</td>");
   	    echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Sku</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Descripción</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cantidad</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ubicación</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Asig.</td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 
			
		/////////Inicia cuerpo SQL	
		$paging = new PHPPaging;
		$paging->linkEstructura("50-ProcesaDivisionPallet.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&Filtro=$FiltroPG&txt_filtro=$txt_filtroPG&paginas={n}");
		
		////// Consultas  ////////////}
		
		 ///Si no se aplico ningun fltro
		 $paging->agregarConsulta("SELECT * FROM tabla_inventario WHERE ID='$txt_filtroPG' AND CANTIDAD>'0' ORDER BY ID ASC");
			
 
		 //$paging = new PHPPaging;		
		if ($FiltroPG=="Selecciona" and  $txt_filtroPG=="" and $fechaInicioPG=="" and $FechaFinPG=="")
			{
			$paging->agregarConsulta("SELECT * FROM tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND CANTIDAD>'0' ORDER BY FECHA ASC");
			
			}
						
			///Si solo se aplico filtro
	  if ($FiltroPG<>"Selecciona" and $txt_filtroPG<>"" and $fechaInicioPG=="" and $FechaFinPG=="")
  		{
  		 $paging->agregarConsulta("SELECT * FROM tabla_inventario WHERE  CVE_CUENTA=$CveCueCR1 AND $FiltroPG='$txt_filtroPG' AND CANTIDAD>'0' ORDER BY ID ASC");
  		}
		
			///No aplico filtro solo llena campo filtro
	  if ($FiltroPG=="Selecciona" and $txt_filtroPG<>"" and $fechaInicioPG=="" and $FechaFinPG=="")
  		{
  		 $paging->agregarConsulta("SELECT * FROM tabla_inventario WHERE CVE_CUENTA=$CveCueCR1 AND ID='FiltroPG;' AND CANTIDAD>'0' ORDER BY ID ASC");
  		}
			
	///// INICIA WHILE DE BUSQUEDA
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			////$IDC = $f[ID];
			$ConteoWH = $ConteoWH + 1;
			
			/////////Identificar el color de la linea que identifica el pallet seleccionado
			$sqlIMO = mysql_query("select * from wms_personaliza1 where ID='1'");
			if (mysql_numrows($sqlIMO)==0) echo "";
			else{
			$registroIMO=mysql_fetch_array($sqlIMO);
			}
			if (mysql_numrows($sqlIMO)>0)
			{
			$BgCol_IMO=$registroIMO["BG_COLOR_MOUSEOVER"];
			}
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}
				
				//////////////////DETECTAR SI EL PALLET YA FUE AÑADIDO AL BUFFER PARA CAMBIO DE COLOR EN FILA////////////////
				$sqlDPCC = mysql_query("select * from temporal_cambiocalidad WHERE CVE_CUENTA=$CveCueCR1 AND USUARIO='$UsuEn' and NO_PALLET='$f[NO_PALLET]'");
				if (mysql_numrows($sqlDPCC)<>0) 
				{
				$BgFondoFinal= $BgCol_IMO; ///Color Item Seleccionado
				}
		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_BODEGA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_CUENTA]-$CtaSesionEn</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_PALLET]</a></td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[SKU]</a></td>");
	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='justify'>$f[DESCRIPCION]</td>");
	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANTIDAD]</a></td>");
	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[UBICACION]</td>");
	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>"); ?> <input type="checkbox" onClick=" window.location.href='<?PHP echo"50-ProcesaDivisionPallet2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$ValChecked&Filtro=$FiltroPG&txt_Filtro=$txt_filtroPG&PalletKP=$f[NO_PALLET]&IdBdKP=$f[ID]";?>' " > <?PHP echo("</td>");

		echo("</tr>");
			}
		echo("<tr>");	
		echo("<td height='16' colspan='2' style='font-size:10px;font-family:Verdana'>Registros: $ConteoWH</td>");
	    echo("<td colspan='7' align='center'>");
		echo 'Pag. '.$paging->fetchNavegacion();
		echo("</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>
</div>
<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>